package gov.nist.androidsuite;

public class MicroTimer {

	private static long startNanoseconds;
	public String Time;

	MicroTimer() {
		startNanoseconds = System.nanoTime();
		Time = "";
	}

	public String getFinalTime() {
		return Time = getCurrentTime();
	}

	public String getCurrentTime() {
		long microSeconds = (System.nanoTime() - startNanoseconds) / 1000;
		return Time = Long.toString(microSeconds);
	}
}